> For the complete documentation index, see [llms.txt](https://docs-lunar.earthly.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-lunar.earthly.dev/sql-api/views/initiatives.md).

# initiatives

```
initiatives
```

The `initiatives` view provides information about initiatives in Lunar. Initiatives are collections of policies organized around a specific goal or purpose.

## Schema

| Column             | Type        | Description                                              |
| ------------------ | ----------- | -------------------------------------------------------- |
| `id`               | `TEXT`      | The identifier for the initiative                        |
| `description`      | `TEXT`      | A description of the initiative                          |
| `owner`            | `TEXT`      | The owner of the initiative                              |
| `manifest_version` | `TEXT`      | The version of the manifest that defines this initiative |
| `created_at`       | `TIMESTAMP` | When the initiative was created                          |

## Notes

* Initiatives are organized collections of policies designed around a specific goal or compliance requirement
* Each initiative can contain multiple policies and may span different components

## Usage examples

List all initiatives in the system:

```sql
SELECT *
FROM initiatives
ORDER BY id;
```

Find initiatives owned by a specific person:

```sql
SELECT *
FROM initiatives
WHERE owner = 'security-team@example.com';
```

Get a list of initiatives and the number of policies within each:

```sql
SELECT 
  i.id AS initiative_id,
  i.description,
  COUNT(p.id) AS policy_count
FROM initiatives i
LEFT JOIN policies p ON i.id = p.initiative_id
GROUP BY i.id, i.description
ORDER BY policy_count DESC;
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-lunar.earthly.dev/sql-api/views/initiatives.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
